Subject: Re: [sidr] I-D Action: draft-ietf-sidr-rfc6490-bis-03.txt

From: Tim Bruijnzeels <[email-masked]>
Date: Mon, 13 Jul 2015 13:31:33 +0200

Hi all,

> On Apr 1, 2015, at 4:06 AM, David Mandelberg <[email-masked]> wrote:
> 
> Hi,
> 
> While thinking about RRDP (draft-ietf-sidr-delta-protocol-00), I realized that there's a minor conflict between RRDP's push to transition from rsync to http(s), and the TAL format's requirement to use only rsync URIs. I propose the below changes to draft-ietf-sidr-rfc6490-bis-03 to make RRDP's work easier in the future without causing any harm now. Sorry to bring this up so late in the process for draft-ietf-sidr-rfc6490-bis.
> 
> 
> In the abstract, change:
> 
>   This document obsoletes RFC 6490 by adding support for multiple URIs in a TAL.
> 
> to:
> 
>   This document obsoletes RFC 6490 by adding support for multiple URIs in a TAL, and allowing URI schemes other than rsync.
> 

There is no need for this just now. As long as we have rsync as well, there is no problem fetching the root certificate using rsync. Also, experience with and discussion of RRDP may actually lead us to wanting something slightly different eventually (e.g. if we should come up with a more defined way to refer to specific objects in RRDP).

In short: I think we should come back to this later when RRDP is mature enough.

Thanks,

Tim